package com.saye.hrs.mapper;

import org.apache.ibatis.annotations.Param;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * (Patient)表数据库访问层
 *
 * @author makejava
 * @since 2021-09-27 10:24:47
 */
public interface PatientMapper {

    HashMap<Object,Object> findPatientById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findPatientList(HashMap<Object,Object> map);

    int insertPatient(HashMap<Object,Object> map);

    int updatePatient(HashMap<Object,Object> map);
    
    int deletePatientById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findPatientAccountPageList(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findPatientByOpenid(HashMap<Object, Object> map);

    void insertWXUser(HashMap<Object, Object> map);

    void insertOrUpdatePatientByHis(HashMap<Object, Object> map);

    void patientBindWXUser(HashMap<Object, Object> map);

    void setOtherPatientNotDefault(HashMap<Object, Object> map);

    void setPatientDefault(HashMap<Object, Object> map);

    void updatePatientByOpenid(HashMap<Object, Object> map);

    void deleteWXUserPatnent(HashMap<Object, Object> map);

	HashMap<Object, Object> findPatientByMerOrderId(Map map);

	int updatePayRequestHisStatus(Map map);

	void addAccount(HashMap map);

	List<HashMap<Object, Object>> findRefundList(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findPayRequestList(HashMap<Object, Object> map);

	void addBindCardLog(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findBindCardLogList(HashMap<Object, Object> map);

	void updatePayRequestHisStatus1(Map map);

	void delCardNotBind(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> getZyPatientByOpenid(HashMap<Object, Object> map);

    void insertOrUpdateZyPatientByHis(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findZyPatientAccountPageList(HashMap<Object, Object> map);

    void zyPatientBindWXUser(HashMap<Object, Object> map);

    void addZyBindCardLog(HashMap<Object, Object> map);

    void delZyCardNotBind(HashMap<Object, Object> map);
}

